GET /instances/{id}/frames/{frame}/rendered

orthanc-server.com

Summary: Render a frame
Operation ID:
Auth: unknown
Description

Render one frame of interest from the given DICOM instance. This function takes scaling into account (`RescaleSlope` and `RescaleIntercept` tags), as well as the default windowing stored in the DICOM file (`WindowCenter` and `WindowWidth`tags), and can be used to resize the resulting image. Color images are not affected by windowing.

Parameters (10)

Accept (string, header, optional)

Format of the resulting image. Can be `image/png` (default), `image/jpeg` or `image/x-portable-arbitrarymap`

frame (number, path, required)

Index of the frame (starts at `0`)

height (number, query, optional)

Height of the resized image

id (string, path, required)

Orthanc identifier of the DICOM instance of interest

quality (number, query, optional)

Quality for JPEG images (between 1 and 100, defaults to 90)

returnUnsupportedImage (boolean, query, optional)

Returns an unsupported.png placeholder image if unable to provide the image instead of returning a 415 HTTP error (defaults to false)

smooth (boolean, query, optional)

Whether to smooth image on resize

width (number, query, optional)

Width of the resized image

window-center (number, query, optional)

Windowing center

window-width (number, query, optional)

Windowing width

No probe data for this endpoint yet.